import { w as withInstall } from "../badge/index2.js";
import { defineComponent, openBlock, createElementBlock, mergeProps, createVNode, unref, createCommentVNode } from "vue";
import { _ as _sfc_main$2E } from "../checkbox/index2.js";
const _hoisted_1 = { key: 0 };
const __default__ = {
  name: "LaySkeletonItem"
};
const _sfc_main = defineComponent({
  ...__default__,
  props: {
    type: { default: "p" }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", mergeProps({
        class: ["lay-skeleton-item", `lay-skeleton-type--${__props.type}`]
      }, _ctx.$attrs), [
        __props.type === "image" ? (openBlock(), createElementBlock("div", _hoisted_1, [
          createVNode(unref(_sfc_main$2E), { type: "layui-icon-picture" })
        ])) : createCommentVNode("", true)
      ], 16);
    };
  }
});
const component = withInstall(_sfc_main);
export { _sfc_main as _, component as c };
